Bug 246882 - Initscript Review
Summary: Initscript Review
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bootparamd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ondrej Dvoracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: InitscriptStatus
TreeView+ depends on / blocked
 
Reported: 2007-07-05 13:47 UTC by Harald Hoyer
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 10:19:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-05 13:47:51 UTC
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.

Comment 1 Ondrej Dvoracek 2007-10-03 12:00:45 UTC
Hi Jesse,
can you please reassign this review to me? I am the owner of this package.
Cheers Ondrej

Comment 2 Ondrej Dvoracek 2007-10-08 07:00:02 UTC
Hi Harald,
I checked the initscript, added the LSB Header and corrected exit codes.
Cheers Ondrej


Note You need to log in before you can comment on or make changes to this bug.